/***************************************************************************
                   Job Header ( Job.h )
                -----------------------------------------

	begin      : 2013/03/21
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/03/21 - 1st dadamin
	email      : dev1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __JOB_H__
#define __JOB_H__

#include "RCDBControl.h"
#include "FhsControl.h"

class CJob
{
public:
	CJob();
	virtual ~CJob();

	virtual int run( CJobDataMap &jobData ) = 0;	
protected:
	int		ExistInfo(CRCDBControl &rcdb, CJobDataMap &jobData );
	int		ExistUser(CRCDBControl &rcdb, CJobDataMap &jobData );
	int		ExistProduct(CRCDBControl &rcdb, CJobDataMap &jobData );
	bool	CheckIdentify( CJobDataMap &jobData );
	bool	IsSubKey (CJobDataMap &jobData, string key);
	bool	FindInSubKey(CJobDataMap &jobData, string key);

private:

};

#endif // __JOB_H__
